GET api/CosEccSummary/GetOrderCategory?q={q}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| q | string |
Required |
Body Parameters
None.
Response Information
Resource Description
AsapResponseOfListOfOrderCategoryDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | Collection of OrderCategoryDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": [
{
"Id": 1,
"OrderCategoryName": "sample string 2",
"Permission": "sample string 3",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:29:41.4950905-07:00",
"DateUpdated": "2026-08-04T14:29:41.4950905-07:00",
"UserIDCreated": 7,
"UserIDUpdated": 8,
"CompanyCode": "sample string 9",
"IsExcludeDiscount": true
},
{
"Id": 1,
"OrderCategoryName": "sample string 2",
"Permission": "sample string 3",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:29:41.4950905-07:00",
"DateUpdated": "2026-08-04T14:29:41.4950905-07:00",
"UserIDCreated": 7,
"UserIDUpdated": 8,
"CompanyCode": "sample string 9",
"IsExcludeDiscount": true
}
],
"totalCount": 3
}